@keyframes slideInFromLeft {
    0% {
      transform: translateX(-100%);
    }
    100% {
      transform: translateX(0);
    }
}

@keyframes slideOutToLeft {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%);
    }
}

body {
    background-image: url("img/earth.jpg");
    padding: 50px 0 0 50px;
    color: white;
    font-family: Arial, Helvetica, sans-serif;

    #message-sent-container {
        font-family: monospace;
        font-size: 50px;

        opacity: 0;

        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);

        text-align: right;

        a {
            font-size: 16px;
            color: white;
        }

        transition: opacity 3s;
    }

    #kontakt-form {
        color: #eee;
        margin-top: 50px;
        animation: 1s ease-out 0s 1 slideInFromLeft;

        input, .message-box {
            font-family: monospace;
            box-sizing: border-box;
            background-color: #101010;
            width: 400px;
            color: #eee;
            border: 1px solid #eee;
        }

        #fullname {
            height: 30px;
            padding: 10px;
        }

        .message-box {
            height: 200px;
            padding: 10px;
        }

        .submit {
            height: 40px;
        }
    }

    &.submitted {
        #kontakt-form {
            transform: translateX(-100%);
            animation: 1s ease-out 0s 1 slideOutToLeft;
        }

        #message-sent-container {
            opacity: 1;
        }
    }

    #messages {
        margin: 50px 75px;

        .message {
            margin-bottom: 3rem;
        }
    }
}
